diff --git a/macosx/DirectHW/DirectHW.xcodeproj/project.pbxproj b/macosx/DirectHW/DirectHW.xcodeproj/project.pbxproj
index a79de09..5005562 100644
--- a/macosx/DirectHW/DirectHW.xcodeproj/project.pbxproj
+++ b/macosx/DirectHW/DirectHW.xcodeproj/project.pbxproj
@@ -3,7 +3,7 @@
 	archiveVersion = 1;
 	classes = {
 	};
-	objectVersion = 44;
+	objectVersion = 46;
 	objects = {
 
 /* Begin PBXBuildFile section */
@@ -129,9 +129,16 @@
 /* Begin PBXProject section */
 		5D99328B0D0F94EE00760F43 /* Project object */ = {
 			isa = PBXProject;
+			attributes = {
+				LastUpgradeCheck = 0610;
+			};
 			buildConfigurationList = 5D99328E0D0F94EE00760F43 /* Build configuration list for PBXProject "DirectHW" */;
-			compatibilityVersion = "Xcode 3.0";
+			compatibilityVersion = "Xcode 3.2";
+			developmentRegion = English;
 			hasScannedForEncodings = 0;
+			knownRegions = (
+				en,
+			);
 			mainGroup = 5D9932890D0F94EE00760F43;
 			productRefGroup = 5D99329C0D0F952400760F43 /* Products */;
 			projectDirPath = "";
@@ -185,6 +192,7 @@
 			buildSettings = {
 				COPY_PHASE_STRIP = YES;
 				MACOSX_DEPLOYMENT_TARGET = 10.4;
+				ONLY_ACTIVE_ARCH = YES;
 				STRIPFLAGS = "-no_uuid";
 			};
 			name = Debug;
@@ -201,10 +209,7 @@
 		5D9932D90D0F97D100760F43 /* Debug */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = (
-					x86_64,
-					i386,
-				);
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = NO;
 				GCC_DYNAMIC_NO_PIC = NO;
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
@@ -213,7 +218,6 @@
 				INFOPLIST_FILE = "DirectHW-Info.plist";
 				INSTALL_GROUP = wheel;
 				INSTALL_OWNER = root;
-				INSTALL_PATH = "$(SYSTEM_LIBRARY_DIR)/Extensions";
 				MODULE_NAME = com.coresystems.driver.DirectHW;
 				MODULE_VERSION = 1.0;
 				PREBINDING = NO;
@@ -227,10 +231,7 @@
 		5D9932DA0D0F97D100760F43 /* Release */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = (
-					x86_64,
-					i386,
-				);
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = YES;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				GCC_ENABLE_FIX_AND_CONTINUE = NO;
@@ -238,7 +239,6 @@
 				INFOPLIST_FILE = "DirectHW-Info.plist";
 				INSTALL_GROUP = wheel;
 				INSTALL_OWNER = root;
-				INSTALL_PATH = "$(SYSTEM_LIBRARY_DIR)/Extensions";
 				MODULE_NAME = com.coresystems.driver.DirectHW;
 				MODULE_VERSION = 1.0;
 				PREBINDING = NO;
@@ -252,10 +252,7 @@
 		FDC4F2B60E923DF00006B2A5 /* Debug */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = (
-					x86_64,
-					i386,
-				);
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = NO;
 				DYLIB_COMPATIBILITY_VERSION = 1;
 				DYLIB_CURRENT_VERSION = 1;
@@ -278,10 +275,7 @@
 		FDC4F2B70E923DF00006B2A5 /* Release */ = {
 			isa = XCBuildConfiguration;
 			buildSettings = {
-				ARCHS = (
-					x86_64,
-					i386,
-				);
+				COMBINE_HIDPI_IMAGES = YES;
 				COPY_PHASE_STRIP = NO;
 				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
 				DYLIB_COMPATIBILITY_VERSION = 1;
diff --git a/macosx/DirectHW/Makefile b/macosx/DirectHW/Makefile
index 94033f6..2474a2b 100644
--- a/macosx/DirectHW/Makefile
+++ b/macosx/DirectHW/Makefile
@@ -19,10 +19,6 @@
 all: dmg
 
 prepare:
-	if [ ! -r .patched ]; then \
-		test `uname -r  | cut -f1 -d\.` -lt 10 && \
-			patch -p0 < DirectHW-i386-only.diff || echo "Not patching."; \
-	fi
 	touch .patched
 
 build: prepare
@@ -32,7 +28,8 @@ install: build
 	sudo xcodebuild -alltargets DSTROOT=`pwd`/build/DirectHW install
 
 package: install
-	/Developer/usr/bin/packagemaker -v --doc DirectHW.pmdoc \
+	/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker \
+		-v --doc DirectHW.pmdoc \
 		--id com.coresystems.DirectHW --out build/DirectHW.pkg
 
 dmg: package
@@ -41,8 +38,8 @@ dmg: package
 	mkdir out
 	cp -r build/DirectHW.pkg out/Install\ DirectHW.pkg
 	cp -r ReadMe.rtf out/Read\ Me.rtf
-	/Developer/Tools/SetFile -a E out/Install\ DirectHW.pkg
-	/Developer/Tools/SetFile -a E out/Read\ Me.rtf
+	SetFile -a E out/Install\ DirectHW.pkg
+	SetFile -a E out/Read\ Me.rtf
 	../create-dmg/create-dmg --window-size 447 337 \
 		--background background.png --icon-size 80 \
 		--volname "Install DirectHW" \
diff --git a/macosx/Makefile b/macosx/Makefile
index b86d69a..b714df7 100644
--- a/macosx/Makefile
+++ b/macosx/Makefile
@@ -15,22 +15,22 @@ pciutils:
 	tar xvjf $(PCIUTILS).tar.bz2
 	patch -p0 < patches/$(PCIUTILS).diff
 	cd $(PCIUTILS); \
-	make OPT="-O2 -arch i386 -arch x86_64" LDFLAGS="-arch i386 -arch x86_64" IDSDIR=/usr/share; \
+	make OPT="-O2 -arch x86_64" LDFLAGS="-arch x86_64" IDSDIR=/usr/share; \
 	make install DESTDIR=$(shell pwd)/$(PCIUTILS)/root PREFIX=/usr ; \
 	make install-lib DESTDIR=$(shell pwd)/$(PCIUTILS)/root PREFIX=/usr ; \
-	/Developer/usr/bin/packagemaker -v --doc $(shell pwd)/$(PCIUTILS)/osx/pciutils.pmdoc --id com.pciutils --out pciutils.pkg
+        /Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker -v --doc $(shell pwd)/$(PCIUTILS)/osx/pciutils.pmdoc --id com.pciutils --out pciutils.pkg
 	rm -rf $(PCIUTILS).dmg
 	rm -rf out
 	mkdir out
 	cp -r $(PCIUTILS)/pciutils.pkg out/Install\ PCI\ Utilities.pkg
 	cp -r $(PCIUTILS)/osx/Welcome.rtf out/Read\ Me.rtf
-	/Developer/Tools/SetFile -a E out/Install\ PCI\ Utilities.pkg
-	/Developer/Tools/SetFile -a E out/Read\ Me.rtf
+	SetFile -a E out/Install\ PCI\ Utilities.pkg
+	SetFile -a E out/Read\ Me.rtf
 	./create-dmg/create-dmg --window-size 447 337 --background \
-	DirectHW/background.png --icon-size 80 \
-	--volname "Install PCI Utilities" \
-	--icon "Install PCI Utilities.pkg" 142 64 \
-	--icon "Read Me.rtf" 310 64 $(PCIUTILS).dmg out
+		DirectHW/background.png --icon-size 80 \
+		--volname "Install PCI Utilities" \
+		--icon "Install PCI Utilities.pkg" 142 64 \
+		--icon "Read Me.rtf" 310 64 $(PCIUTILS).dmg out
 
 #tools: 
 #	$(MAKE) -C tools
diff --git a/macosx/create-dmg/create-dmg b/macosx/create-dmg/create-dmg
index d243dd4..7c7795f 100755
--- a/macosx/create-dmg/create-dmg
+++ b/macosx/create-dmg/create-dmg
@@ -132,8 +132,8 @@ fi
 APPLESCRIPT=$(mktemp -t createdmg)
 cat "$AUX_PATH/template.applescript" | sed -e "s/WINX/$WINX/g" -e "s/WINY/$WINY/g" -e "s/WINW/$WINW/g" -e "s/WINH/$WINH/g" -e "s/BACKGROUND_CLAUSE/$BACKGROUND_CLAUSE/g" -e "s/ICON_SIZE/$ICON_SIZE/g" | perl -pe  "s/POSITION_CLAUSE/$POSITION_CLAUSE/g" >"$APPLESCRIPT"
 
-echo "Running Applescript: ./AdiumApplescriptRunner \"${APPLESCRIPT}\" process_disk_image \"${VOLUME_NAME}\""
-"$AUX_PATH/AdiumApplescriptRunner" "${APPLESCRIPT}" process_disk_image "${VOLUME_NAME}" || true
+echo "Running Applescript: template.applescript \"${APPLESCRIPT}\" process_disk_image \"${VOLUME_NAME}\""
+/usr/bin/osascript "$AUX_PATH/template.applescript " "${APPLESCRIPT}" process_disk_image "${VOLUME_NAME}" || true
 echo "Done running the applescript..."
 sleep 4
 
diff --git a/macosx/create-dmg/support/template.applescript b/macosx/create-dmg/support/template.applescript
index c12aad8..bdaee55 100644
--- a/macosx/create-dmg/support/template.applescript
+++ b/macosx/create-dmg/support/template.applescript
@@ -48,8 +48,8 @@ on process_disk_image(volumeName)
 			
 			update without registering applications
 			-- Force saving of the size
-      delay 1
-      
+			delay 1
+			
 			tell container window
 				set statusbar visible to false
 				set the bounds to {theXOrigin, theYOrigin, theBottomRightX - 10, theBottomRightY - 10}
@@ -58,7 +58,7 @@ on process_disk_image(volumeName)
 			update without registering applications
 		end tell
 		
-    delay 1
+		delay 1
 		
 		tell disk (volumeName as string)
 			tell container window
@@ -67,11 +67,11 @@ on process_disk_image(volumeName)
 			end tell
 			
 			update without registering applications
-	  end tell
+		end tell
 		
 		--give the finder some time to write the .DS_Store file
-    delay 3
-    
+		delay 3
+		
 		set waitTime to 0
 		set ejectMe to false
 		repeat while ejectMe is false
